Package: groovy.transform.stc

## [Java] Class SimpleType

- groovy.transform.stc.SimpleType

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ClassNode[]` | `getParameterTypes(MethodNode node, String[] options, org.codehaus.groovy.control.SourceUnit sourceUnit, CompilationUnit unit, ASTNode usage)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SingleSignatureClosureHint` | `getClosureSignatures, getParameterTypes`
    `class ClosureSignatureHint` | `findClassNode, getClosureSignatures, pickGenericType, pickGenericType`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override public ClassNode[] getParameterTypes(MethodNode node, String[] options, org.codehaus.groovy.control.SourceUnit sourceUnit, CompilationUnit unit, ASTNode usage)